> For the complete documentation index, see [llms.txt](https://gitbook.com/docs/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://gitbook.com/docs/developers/gitbook-api/guides/pull-analytics-from-your-site.md).

# Pull analytics from your site

Use the Events Aggregation API to list your published site’s most-visited pages.

### Before you begin

You need:

* A GitBook API token that can read site insights.
* Your organization ID and site ID.
* A terminal with `curl`.

For OAuth, request the `site:insights:read` scope.

### Request page metrics

Send this request to group events by page URL and sort them by event count:

```bash
curl --request POST \
  --url "https://api.gitbook.com/v1/orgs/$ORGANIZATION_ID/sites/$SITE_ID/insights/events/aggregate" \
  --header "Authorization: Bearer $GITBOOK_TOKEN" \
  --header "Content-Type: application/json" \
  --data '{
    "select": [
      { "column": "url" },
      { "column": "eventsCount" },
      { "column": "visitorsCount" }
    ],
    "groupBy": [
      { "column": "url" }
    ],
    "order": {
      "by": { "column": "eventsCount" },
      "direction": "desc"
    },
    "range": "last30Days",
    "limit": 20
  }'
```

### Read the results

Each result identifies a page URL and its event and visitor counts.

The first result has the highest event count for the selected range.

### Refine the report

You can adapt the request for a different report:

* Change `range` to use another supported period.
* Change `limit` to return fewer or more pages.
* Select other supported fields for a deeper report.

See the [Site insights reference](/docs/developers/gitbook-api/api-reference/docs-sites/site-insights.md) for supported fields and filters.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://gitbook.com/docs/developers/gitbook-api/guides/pull-analytics-from-your-site.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
